/***************************************************************************
 *   Copyright (C) 2005 by Barry O'Donovan   *
 *   ko2smsApplet@barryodonovan.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <qstring.h>
#include <qstringlist.h>
#include <qfile.h>
#include <qtextstream.h>
#include <qregexp.h>

#include <ktextedit.h>
#include <qlabel.h>
#include <kpushbutton.h>
#include <kcombobox.h>

//#include <kdebug.h>

#include "sendsmsdialogimp.h"

SendSMSDialogImp::SendSMSDialogImp(QWidget* parent, const char* name, bool modal, WFlags fl)
    : SendSMSDialog(parent,name, modal,fl)
{
}

SendSMSDialogImp::~SendSMSDialogImp()
{}

/*$SPECIALIZATION$*/
void SendSMSDialogImp::enableOKButton()
{
    if( kte_msg->length() > 0 )
        buttonOk->setEnabled( true );
    else
        buttonOk->setEnabled( false );
}

void SendSMSDialogImp::updateMsgLength()
{
    int length = kte_msg->length();

    if( length > 480 )
    {
        kl_length->setText( QString( "%1/%2 (%3)" ).arg( length ).arg( 500 ).arg( 4 ) );
    }
    else if( length > 320 )
    {
        kl_length->setText( QString( "%1/%2 (%3)" ).arg( length ).arg( 480 ).arg( 3 ) );
    }
    else if( length > 160 )
    {
        kl_length->setText( QString( "%1/%2 (%3)" ).arg( length ).arg( 320 ).arg( 2 ) );
    }
    else
    {
        kl_length->setText( QString( "%1/%2" ).arg( length ).arg( 160 ) );
    }
}

void SendSMSDialogImp::parseConfigFile( QString configFile )
{
    QFile file( configFile );
    if( file.open( IO_ReadOnly ) ) 
    {
        QTextStream stream( &file );
        QString line;
        QRegExp rx( "\\s" ); //whitespace
        int i = 1;
        while ( !stream.atEnd() ) 
        {
            
            line = stream.readLine(); 
            
            //kdDebug() << "Read line: " << line << endl;
            
            QStringList sl = QStringList::split( rx, line );
            
            if( sl[0] == "alias" )
            {
                kcb_dest->insertItem( sl[1] );
                //kdDebug() << "Read alias: " << sl[1] << endl;
            }
        }
            
        file.close();
    }    
}


#include "sendsmsdialogimp.moc"

